com.holonplatform.auth.internal

## Class AbstractHttpAuthenticationTokenResolver

- java.lang.Object
- - com.holonplatform.auth.internal.AbstractHttpAuthenticationTokenResolver

- All Implemented Interfaces:
    AuthenticationToken.AuthenticationTokenResolver<HttpRequest>
  Direct Known Subclasses:
    BasicAuthenticationTokenResolver, BearerAuthenticationTokenResolver

      public abstract class AbstractHttpAuthenticationTokenResolver
      extends Object
      implements AuthenticationToken.AuthenticationTokenResolver<HttpRequest>

  Base HTTP `AuthenticationToken.AuthenticationTokenResolver` implementation, using a `HttpRequest` message type.
  Since:
    5.0.0

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AbstractHttpAuthenticationTokenResolver(String scheme)` Constructor

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Class<? extends Message<?,?>>` | `getMessageType()` Get supported message type
    `Optional<String>` | `getScheme()` Optional authentication scheme

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface com.holonplatform.auth.AuthenticationToken.AuthenticationTokenResolver

      `create, create, getAuthenticationToken`

- - ### Constructor Detail

    - #### AbstractHttpAuthenticationTokenResolver

          public AbstractHttpAuthenticationTokenResolver(String scheme)

      Constructor
      Parameters:
        `scheme` - Authentication scheme

  - ### Method Detail

    - #### getScheme

          public Optional<String> getScheme()

      Description copied from interface: `AuthenticationToken.AuthenticationTokenResolver`
      Optional authentication scheme
      Specified by:
        `getScheme` in interface `AuthenticationToken.AuthenticationTokenResolver<HttpRequest>`
      Returns:
        Authentication scheme name, empty if not available

    - #### getMessageType

          public Class<? extends Message<?,?>> getMessageType()

      Description copied from interface: `AuthenticationToken.AuthenticationTokenResolver`
      Get supported message type
      Specified by:
        `getMessageType` in interface `AuthenticationToken.AuthenticationTokenResolver<HttpRequest>`
      Returns:
        Message type

Copyright © 2019 The Holon Platform. All rights reserved.